#
# spec file for package go-gorilla-websocket
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-gorilla-websocket
Version:        0.0.0+git20160313.e2e3d84
Release:        1.1
Summary:        A WebSocket implementation for Go
License:        BSD-2-Clause
Group:          Development/Languages/Other
Url:            https://github.com/gorilla/websocket
Source:         websocket-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
Gorilla WebSocket is a Go implementation of the WebSocket protocol.

It has some features that go-net doesn't have.

%prep
%setup -q -n websocket-%{version}

%build
%goprep github.com/gorilla/websocket
%gobuild

%install
%goinstall
%go_filelist

%check
%gotest github.com/gorilla/websocket

%files -f file.lst
%defattr(-,root,root)
%doc AUTHORS LICENSE README.md

%changelog
* Sat Jul 16 2016 avvissu@yandex.by
- Get rid of source subpackage, no one use it
* Tue Mar 29 2016 avvissu@yandex.by
- Update to version 0.0.0+git20160313.e2e3d84:
  + Support proxy authorization for websocket client
  + Improve Upgrader.Upgrade doc
  + Update .travis.yml to build Go 1.6
  + Fix go vet warning
  + Run 'go vet' instead of 'go tool vet' in Travis
  + Remove Go 1.1 from Travis config
  + Add IsWebSocketUpgrade
  + Document that default ping handler can block
* Fri Mar 20 2015 i@marguerite.su
- initial version 0.0.0+git20150309.2dbddeb
